/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCCIT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCCIT_CONTRIBUTE_PAY') 
 CREATE TABLE T_TCCIT_CONTRIBUTE_PAY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSDATE DATETIME,
FBUSINESSDSUMMARY VARCHAR(50) DEFAULT ' ' NOT NULL,
FZHANGZAIAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTRIBUTETYPE BIGINT DEFAULT 0 NOT NULL,
FPAYEE VARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCCIT_DEV_JJKC' AND KSQL_COL_NAME ='FDSJDYXJJKCDYFFYJE') 
 ALTER TABLE T_TCCIT_DEV_JJKC ADD (FDSJDYXJJKCDYFFYJE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCCIT_DEV_JJKC' AND KSQL_COL_NAME ='FQSJDYXJJKCDYFFYJE') 
 ALTER TABLE T_TCCIT_DEV_JJKC ADD (FQSJDYXJJKCDYFFYJE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCCIT_DEV_JJKC' AND KSQL_COL_NAME ='FDSJDXGFYJJKC') 
 ALTER TABLE T_TCCIT_DEV_JJKC ADD (FDSJDXGFYJJKC DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCCIT_DEV_JJKC' AND KSQL_COL_NAME ='FQSJDXGFYJJKC') 
 ALTER TABLE T_TCCIT_DEV_JJKC ADD (FQSJDXGFYJJKC DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCCIT_DEV_JJKC' AND KSQL_COL_NAME ='FBNYXJJKCDYFFYZE') 
 ALTER TABLE T_TCCIT_DEV_JJKC ADD (FBNYXJJKCDYFFYZE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCCIT_DEV_JJKC' AND KSQL_COL_NAME ='FJJKCBLJJSFF') 
 ALTER TABLE T_TCCIT_DEV_JJKC ADD (FJJKCBLJJSFF BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCCIT_table.sql **/
